Skip to Content
New release 12 available 🎉

Email

POST/v1/email/sendPOST /v1/email/send

Code samples

# You can also use wget curl -X POST /v1/email/send \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

POST /v1/email/send

Sends an email using the configured email service.

Body parameter

{ "to": [ { "name": "string", "email": "string" } ], "subject": "string", "body": "string", "isHtml": true, "attachments": [ { "fileName": "string", "content": "string", "contentType": "string" } ] }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.SendEmailRequestfalseThe request containing the email details to send.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.SendEmailResponse

Authentication: API key (x-api-key).

POST/v1/email/licensePOST /v1/email/license

Code samples

# You can also use wget curl -X POST /v1/email/license \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

POST /v1/email/license

Sends an email to a licensee based on a license and email resource.

Body parameter

{ "licenseId": 0, "resourceId": 0 }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.SendLicenseEmailRequestfalseThe request containing license and email details to send.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.SendLicenseEmailResponse

Authentication: API key (x-api-key).

Last updated on